main {
  background-color: cornflowerblue;
  display: grid;
  grid-template-columns: 1fr 2fr;
  grid-template-rows: repeat(3, 1fr);
}

main .block {
  padding: 20px;
  color: white;
  font-size: 4em;
  font-weight: bold;
  text-align: center;
  border: 10px solid white;
}

.block.block1 {
  background-color: #b6366a;
}
.block.block2 {
  background-color: #726ea6;
}
.block.block3 {
  background-color: #7d8dc2;
}
.block.block4 {
  background-color: #a1d2da;
}

@media screen and (min-width: 992px) {
  .block.block1 {
    grid-area: 1/1/2/3;
  }

  .block.block2 {
    grid-area: 2/1/3/3;
  }
}

@media screen and (min-width: 772px) and (max-width: 992px) {
  main {
    grid-template-columns: 1fr;
    grid-template-rows: repeat(4, 1fr);
  }
}

@media screen and (min-width: 320px) and (max-width: 772px) {
  main {
    grid-template-columns: 1fr;
    grid-template-rows: repeat(4, 1fr);
  }

  .block.block1 {
    grid-area: 2/1/3/2;
  }

  .block.block2 {
    grid-area: 1/1/2/2;
  }
}
